Межсайтовый скриптинг и SQL-инъекция в PHP-Nuke vWar

Дата публикации:
23.04.2007
Всего просмотров:
2994
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-2306
CVE-2007-2312
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
vWar 1.x (модуль к PHP-Nuke)
Уязвимые версии: vWar (модуль к PHP-Nuke) 1.5 R15, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "n" сценария extra/online.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости требуется знание префикса таблиц vWar.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "title" сценария extra/today.php (когда параметр "whattoshow" установлен в значение "3"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "memberlist" сценария extra/login.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.phpnuke-clan.net/modules.php?name=Downloads&d_op=viewdownload&cid=9#cat

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA